Table of Contents

Class: Connection | Twisted-0.19.0/twisted/internet/ssl.py
--- | ---
I am an SSL connection.
Base Classes |
--- | ---
tcp.Connection
Methods |
--- | ---
_closeSocket doRead doWrite getPeerCertificate writeSomeData
| _closeSocket
    _closeSocket ( self )
| doRead
    doRead ( self )
See tcp.Connection.doRead for details.
| doWrite
    doWrite ( self )
| getPeerCertificate
    getPeerCertificate ( self )
Return the certificate for the peer.
| writeSomeData
    writeSomeData ( self,  data )
See tcp.Connection.writeSomeData for details.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0